Package org.apache.maven.scm.command.branch

## Class AbstractBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `AbstractCvsBranchCommand`, `GitBranchCommand`, `HgBranchCommand`, `SvnBranchCommand`, `TfsBranchCommand`

    public abstract class AbstractBranchCommand
    extends AbstractCommand

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractBranchCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ScmResult` `executeBranchCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String branchName, java.lang.String message)`
`protected ScmResult` `executeBranchCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String branchName, ScmBranchParameters scmBranchParameters)` default impl to provide backward comp
`ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractBranchCommand

    public AbstractBranchCommand()

### Method Detail

#### executeBranchCommand

    protected abstract ScmResult executeBranchCommand​(ScmProviderRepository repository,
                                                      ScmFileSet fileSet,
                                                      java.lang.String branchName,
                                                      java.lang.String message)
                                               throws ScmException

Throws:
  `ScmException`

#### executeBranchCommand

    protected ScmResult executeBranchCommand​(ScmProviderRepository repository,
                                             ScmFileSet fileSet,
                                             java.lang.String branchName,
                                             ScmBranchParameters scmBranchParameters)
                                      throws ScmException

default impl to provide backward comp

Parameters:
  `repository` -
  `fileSet` -
  `branchName` -
  `scmBranchParameters` -
Returns:
Throws:
  `ScmException`
Since:
  1.3

#### executeCommand

    public ScmResult executeCommand​(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`